automations
Scout API 1.0.0 — see schemas for shared types.
GET /api/automations
list_automations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
query | string (uuid) | null | no | |
type |
query | AssistantType | null | no |
Responses
- 200 — OK
application/json→ AutomationResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/automations
create_automation
Request body
Content-Type: application/json
Schema: CreateAutomationRequest
Responses
- 200 — OK
application/json→ AutomationResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/automations/
list_automations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
query | string (uuid) | null | no | |
type |
query | AssistantType | null | no |
Responses
- 200 — OK
application/json→ AutomationResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/automations/
create_automation
Request body
Content-Type: application/json
Schema: CreateAutomationRequest
Responses
- 200 — OK
application/json→ AutomationResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/automations/runs
list_all_automation_runs
Responses
- 200 — OK
application/json→ AutomationRunResponseList- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/automations/runs/{automation_run_id}
delete_automation_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_run_id |
path | string (uuid) | yes |
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/automations/runs/{automation_run_id}
get_automation_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_run_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ AutomationRunResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/automations/{automation_id}
delete_automation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_id |
path | string (uuid) | yes |
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/automations/{automation_id}
get_automation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ AutomationResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/automations/{automation_id}
update_automation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: UpdateAutomationRequest
Responses
- 200 — OK
application/json→ AutomationResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/automations/{automation_id}/run
run_automation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: RunAutomationRequest
Responses
- 200 — OK
application/json→ AutomationRunResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/automations/{automation_id}/runs
get_automation_runs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
automation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ AutomationRunResponseList- 422 — Unprocessable Content
application/json→ ValidationError